Last modified: 2013-04-22 16:16:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45142 - [Opera] ULS text winds up on top of the icon in RTL languages
[Opera] ULS text winds up on top of the icon in RTL languages
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Bartosz Dziewoński
https://test.wikipedia.org/wiki/Main_...
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2013-02-19 03:08 UTC by Isarra
Modified: 2013-04-22 16:16 UTC (History)
9 users (show)

See Also:
Web browser: Opera
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
p-personal toolbar with ULS dropdown label overlaping icon (19.38 KB, image/png)
2013-02-19 04:08 UTC, Isarra
Details

Description Isarra 2013-02-19 03:08:31 UTC
The label winds up on top of the icon in rtl in opera (only tested it and chromium; might be an issue elsewhere, might not). Completely illegible. Also rather ironic.
Comment 1 Amir E. Aharoni 2013-02-19 03:24:24 UTC
Which label exactly? Can you please provide a screenshot?
Comment 2 Isarra 2013-02-19 04:08:32 UTC
Created attachment 11805 [details]
p-personal toolbar with ULS dropdown label overlaping icon
Comment 3 Bartosz Dziewoński 2013-02-20 09:45:46 UTC
From a quick look, probably CSSJanus doesn't transform the complicated CSS background definition for .uls-trigger. I'll look into it.
Comment 4 Bartosz Dziewoński 2013-02-20 10:16:10 UTC
From a second look, it also seems like Opera is doing something absolutely bizarre, confusing left and right padding. Wat.
Comment 5 Bartosz Dziewoński 2013-02-20 10:25:28 UTC
I'm testing on https://test.wikipedia.org/wiki/Main_Page?uselang=he

Adding 'dir="ltr"' to '<a class="uls-trigger">' fixes the issue on Opera. Don't ask me why.
Comment 6 Bartosz Dziewoński 2013-02-20 16:51:52 UTC
And so does '#pt-uls { direction: ltr; }'. Could any of the resident localisation experts check if this could cause any issues? It doesn't seem to break anything for me at a first glance (but I don't speak any RTL language, nor do I have experience with working with them), so if it works, I'll submit the fix to gerrit.
Comment 7 Siebrand Mazeland 2013-02-20 18:48:46 UTC
(In reply to comment #4)
> From a second look, it also seems like Opera is doing something absolutely
> bizarre, confusing left and right padding. Wat.

Bartosz, can you confirm that you only observe the weirdness in opera? We are aware of more weirdness in that browser. May it will solve itself once Opera starts using WebKit in 18 months or so... Please also be aware that Opera is not a "main browser platform" for Wikimedia -- can't find the link at the moment.
Comment 8 Bartosz Dziewoński 2013-02-20 18:57:50 UTC
(In reply to comment #7)
> Bartosz, can you confirm that you only observe the weirdness in opera?

It seems to work correctly on IE 8 and Firefox 18. (But my patch doesn't break anything in them.)
Comment 9 Bartosz Dziewoński 2013-02-21 16:54:34 UTC
Submitted I71c2c4ca to fix this with a little CSS hack to avoid touching upsetting other browsers, just in case. It shouldn't break when Opera fixes their bug.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links